Debian Bug report logs - #547423
transmission: SEGV when LANG=bg_BG.UTF-8

version graph

Package: transmission; Maintainer for transmission is Leo Costela <costela@debian.org>; Source for transmission is src:transmission.

Reported by: Ognyan Kulev <ogi@triangle.bg>

Date: Sat, 19 Sep 2009 16:00:32 UTC

Severity: important

Tags: fixed-upstream, upstream

Found in version transmission/1.74-1

Fixed in version transmission/1.75-1

Done: Leo Costela <costela@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Leo Costela <costela@debian.org>:
Bug#547423; Package transmission. (Sat, 19 Sep 2009 16:00:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ognyan Kulev <ogi@triangle.bg>:
New Bug report received and forwarded. Copy sent to Leo Costela <costela@debian.org>. (Sat, 19 Sep 2009 16:00:35 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ognyan Kulev <ogi@triangle.bg>
To: submit@bugs.debian.org
Subject: transmission: SEGV when LANG=bg_BG.UTF-8
Date: Sat, 19 Sep 2009 18:38:19 +0300
[Message part 1 (text/plain, inline)]
Package: transmission
Version: 1.74-1
Severity: important

When LANG=bg_BG.UTF-8, transmission crashes immediately after launch. I
tried with LANG unset and LANG=de_DE.UTF-8 and there is no crash in
these cases. So there's something wrong with bg l10n. While searching
why transmission crashes on launch, I built it with
DEB_BUILD_OPTIONS="nostrip noopt" so there's detailed crash report that
I've attached - I hope this helps.

Given that bg l10n users are minority, severity is set to important and
not grave.

Regards,
Ognyan Kulev

[transmission-report.txt (text/plain, inline)]
System: Linux 2.6.30-1-amd64 #1 SMP Sat Aug 15 18:09:19 UTC 2009 x86_64
X Vendor: The X.Org Foundation
X Vendor Release: 10603000
Selinux: No
Accessibility: Disabled
GTK+ Theme: Clearlooks
Icon Theme: gnome
GTK+ Modules: gnomebreakpad

Memory status: size: 214605824 vsize: 214605824 resident: 14561280 share: 10190848 rss: 14561280 rss_rlim: 18446744073709551615
CPU usage: start_time: 1253374108 rtime: 8 utime: 8 stime: 0 cutime:0 cstime: 0 timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/bin/transmission'

[Thread debugging using libthread_db enabled]
[New Thread 0x7fb7a2629950 (LWP 7327)]
0x00007fb7ab8c328f in waitpid () from /lib/libpthread.so.0
#0  0x00007fb7ab8c328f in waitpid () from /lib/libpthread.so.0
#1  0x00007fb7ab41d519 in g_spawn_sync () from /usr/lib/libglib-2.0.so.0
#2  0x00007fb7ab41d818 in g_spawn_command_line_sync () from /usr/lib/libglib-2.0.so.0
#3  0x00007fb7a2d69d63 in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
#4  <signal handler called>
#5  0x00007fb7ab3eace0 in g_markup_escape_text () from /usr/lib/libglib-2.0.so.0
#6  0x00007fb7acada311 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#7  0x00007fb7ab681e03 in g_object_set_valist () from /usr/lib/libgobject-2.0.so.0
#8  0x00007fb7ab682264 in g_object_set () from /usr/lib/libgobject-2.0.so.0
#9  0x000000000043ab6a in syncAltSpeedButton (core=<value optimized out>, key=<value optimized out>, wind=0x12fae20) at tr-window.c:349
#10 prefsChanged (core=<value optimized out>, key=<value optimized out>, wind=0x12fae20) at tr-window.c:279
#11 0x000000000043c635 in tr_window_new (ui_mgr=<value optimized out>, core=0x1208430) at tr-window.c:1067
#12 0x0000000000429e1f in main (argc=1, argv=0x7fff632d1cf8) at main.c:456

Thread 2 (Thread 0x7fb7a2629950 (LWP 7327)):
#0  0x00007fb7aa6a4bf8 in epoll_wait () from /lib/libc.so.6
No symbol table info available.
#1  0x00007fb7abd053f0 in ?? () from /usr/lib/libevent-1.4.so.2
No symbol table info available.
#2  0x00007fb7abcf901a in event_base_loop () from /usr/lib/libevent-1.4.so.2
No symbol table info available.
#3  0x000000000045d8cd in libeventThreadFunc (veh=0x1222ff0) at trevent.c:239
No locals.
#4  0x00007fb7ab8bbf9a in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#5  0x00007fb7aa6a456d in clone () from /lib/libc.so.6
No symbol table info available.
#6  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 1 (Thread 0x7fb7ad36a7b0 (LWP 7326)):
#0  0x00007fb7ab8c328f in waitpid () from /lib/libpthread.so.0
No symbol table info available.
#1  0x00007fb7ab41d519 in g_spawn_sync () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#2  0x00007fb7ab41d818 in g_spawn_command_line_sync () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#3  0x00007fb7a2d69d63 in ?? () from /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#4  <signal handler called>
No symbol table info available.
#5  0x00007fb7ab3eace0 in g_markup_escape_text () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#6  0x00007fb7acada311 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#7  0x00007fb7ab681e03 in g_object_set_valist () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#8  0x00007fb7ab682264 in g_object_set () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#9  0x000000000043ab6a in syncAltSpeedButton (core=<value optimized out>, key=<value optimized out>, wind=0x12fae20) at tr-window.c:349
        u = "50,0 KБ/сек\0\300Y\255\254\267\177\0\0Ѓ*\1\0\0\0"
        buf = "Натиснете за временно включване на ограничаване на скоростта\n(50,0 KБ/с", <incomplete sequence \320>
        w = 0x1339a80
        d = "50,0 KБ/сек\0Ѓ*\1\0\0\0\0ɯ\242\254\267\177\0"
        b = <value optimized out>
#10 prefsChanged (core=<value optimized out>, key=<value optimized out>, wind=0x12fae20) at tr-window.c:279
        p = <value optimized out>
#11 0x000000000043c635 in tr_window_new (ui_mgr=<value optimized out>, core=0x1208430) at tr-window.c:1067
        pch = 0x1224bb8 "total-ratio"
        mainmenu = 0x12f0060
        vbox = 0x12a83d0
        w = <value optimized out>
        self = 0x12fae20
        s = 0x12e8040
        hbox = <value optimized out>
        menu = <value optimized out>
        win = <value optimized out>
        l = <value optimized out>
        filter_names = {0x4945e1 "A_ll", 0x4945e6 "_Active", 0x4945ee "_Downloading", 0x4945fb "_Seeding", 0x494604 "_Paused"}
        filter_text_names = {0x48c6bf "Name", 0x49078c "Files", 0x497624 "Tracker"}
#12 0x0000000000429e1f in main (argc=1, argv=0x7fff632d1cf8) at main.c:456
        str = <value optimized out>
        myUIManager = <value optimized out>
        win = <value optimized out>
        session = <value optimized out>
        err = 0x0
        argfiles = 0x0
        gerr = 0x0
        didinit = <value optimized out>
        didlock = <value optimized out>
        showversion = 0
        startpaused = 0
        startminimized = 0
        configDir = 0x11ce9a0 "/home/ogi/.config/transmission"
        tr_state = <value optimized out>
        entries = {{long_name = 0x4945b9 "paused", short_name = 112 'p', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x7fff632d1be8, 
            description = 0x491898 "Start with all torrents paused", arg_description = 0x0}, {long_name = 0x497341 "version", 
            short_name = 0 '\0', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x7fff632d1bec, 
            description = 0x491637 "Show version number and exit", arg_description = 0x0}, {long_name = 0x491654 "minimized", 
            short_name = 109 'm', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x7fff632d1be4, 
            description = 0x4918b8 "Start minimized in system tray", arg_description = 0x0}, {long_name = 0x49165e "config-dir", 
            short_name = 103 'g', flags = 0, arg = G_OPTION_ARG_FILENAME, arg_data = 0x7fff632d1bc8, 
            description = 0x4918d8 "Where to look for configuration files", arg_description = 0x0}, {long_name = 0x0, short_name = 0 '\0', 
            flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x0, description = 0x0, arg_description = 0x0}}
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y; input not from terminal]


----------- .xsession-errors (1211 sec old) ---------------------
** (gnome-power-manager:3210): WARNING **: This machine is not identified as a laptop.system.formfactor is desktop.
** (gnome-power-manager:3210): WARNING **: This machine is not identified as a laptop.system.formfactor is desktop.
** (gnome-power-manager:3210): DEBUG: This machine is not identified as a laptop.system.formfactor is desktop.
** (gnome-power-manager:3210): DEBUG: We are not a laptop, so not even trying
Предупреждение от мениджъра на прозорци: Неуспех при зареждането на темата „Clearlooks“: Неуспех при намирането 
Предупреждение от мениджъра на прозорци: Неуспех при прочитането на записания сесиен файл /home/ogi/.config/metacity/sessio
** (nautilus:3225): WARNING **: Unable to add monitor: Не се поддържа
(nm-connection-editor:3313): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
**
ERROR:nm-connection-list.c:744:add_done_cb: code should not be reached
*** NSPlugin Viewer  *** ERROR: libnss3.so: cannot open shared object file: No such file or directory
--------------------------------------------------

Information forwarded to debian-bugs-dist@lists.debian.org, Leo Costela <costela@debian.org>:
Bug#547423; Package transmission. (Sun, 20 Sep 2009 13:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Kerr <charles@transmissionbt.com>:
Extra info received and forwarded to list. Copy sent to Leo Costela <costela@debian.org>. (Sun, 20 Sep 2009 13:54:06 GMT) Full text and rfc822 format available.

Message #10 received at 547423@bugs.debian.org (full text, mbox):

From: Charles Kerr <charles@transmissionbt.com>
To: 547423@bugs.debian.org
Subject: 547423@bugs.debian.org
Date: Sun, 20 Sep 2009 08:46:14 -0500
This corresponds to upstream ticket
<http://trac.transmissionbt.com/ticket/2403> which is fixed in 1.75.




Added tag(s) upstream and fixed-upstream. Request was from Charles Kerr <charles@transmissionbt.com> to control@bugs.debian.org. (Sun, 20 Sep 2009 13:54:08 GMT) Full text and rfc822 format available.

Reply sent to Leo Costela <costela@debian.org>:
You have taken responsibility. (Sun, 20 Sep 2009 23:00:15 GMT) Full text and rfc822 format available.

Notification sent to Ognyan Kulev <ogi@triangle.bg>:
Bug acknowledged by developer. (Sun, 20 Sep 2009 23:00:15 GMT) Full text and rfc822 format available.

Message #17 received at 547423-close@bugs.debian.org (full text, mbox):

From: Leo Costela <costela@debian.org>
To: 547423-close@bugs.debian.org
Subject: Bug#547423: fixed in transmission 1.75-1
Date: Sun, 20 Sep 2009 22:31:08 +0000
Source: transmission
Source-Version: 1.75-1

We believe that the bug you reported is fixed in the latest version of
transmission, which is due to be installed in the Debian FTP archive:

transmission-cli_1.75-1_amd64.deb
  to pool/main/t/transmission/transmission-cli_1.75-1_amd64.deb
transmission-common_1.75-1_all.deb
  to pool/main/t/transmission/transmission-common_1.75-1_all.deb
transmission-daemon_1.75-1_amd64.deb
  to pool/main/t/transmission/transmission-daemon_1.75-1_amd64.deb
transmission-gtk_1.75-1_amd64.deb
  to pool/main/t/transmission/transmission-gtk_1.75-1_amd64.deb
transmission-qt_1.75-1_amd64.deb
  to pool/main/t/transmission/transmission-qt_1.75-1_amd64.deb
transmission_1.75-1.diff.gz
  to pool/main/t/transmission/transmission_1.75-1.diff.gz
transmission_1.75-1.dsc
  to pool/main/t/transmission/transmission_1.75-1.dsc
transmission_1.75-1_all.deb
  to pool/main/t/transmission/transmission_1.75-1_all.deb
transmission_1.75.orig.tar.gz
  to pool/main/t/transmission/transmission_1.75.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 547423@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Leo Costela <costela@debian.org> (supplier of updated transmission package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 20 Sep 2009 22:49:12 +0200
Source: transmission
Binary: transmission transmission-common transmission-cli transmission-gtk transmission-qt transmission-daemon
Architecture: source all amd64
Version: 1.75-1
Distribution: unstable
Urgency: low
Maintainer: Leo costela Antunes <costela@debian.org>
Changed-By: Leo Costela <costela@debian.org>
Description: 
 transmission - lightweight BitTorrent client
 transmission-cli - lightweight BitTorrent client (command line interface)
 transmission-common - lightweight BitTorrent client (common files)
 transmission-daemon - lightweight BitTorrent client (daemon)
 transmission-gtk - lightweight BitTorrent client (GTK interface)
 transmission-qt - lightweight BitTorrent client (Qt interface)
Closes: 547423
Changes: 
 transmission (1.75-1) unstable; urgency=low
 .
   * new upstream release
     - fixes UTF-8 string truncation (closes: #547423)
   * debian/watch: mangle the "b[0-9]+" suffix, used sometimes to mark
     beta versions. Should avoid DEHS thinking there's a new release.
   * debian/lintian: add comments to the overrides
Checksums-Sha1: 
 cdb02805cd6d6e59ad76f555dc9b3d967fe3204e 1519 transmission_1.75-1.dsc
 3e88b71662b5fa1c536d8b31119dd888af4d617b 6681496 transmission_1.75.orig.tar.gz
 543b4b9f202b23d901f6d808f85e7bcf8d590f58 17251 transmission_1.75-1.diff.gz
 a7f0822cfe12fae14a67ca00aa59ddb4a8defd61 848 transmission_1.75-1_all.deb
 b331b1d47f8fee5b45a392a09fb5a49d0eb5038b 173874 transmission-common_1.75-1_all.deb
 4c8cf775df573248c41743d413c4613a6d225bc5 392748 transmission-cli_1.75-1_amd64.deb
 7ad5d07be8b46d5c2b5e8700ba5ec6eb89318231 690864 transmission-gtk_1.75-1_amd64.deb
 e34623ed676cda61a86a261882d7018ea58d37ac 479710 transmission-qt_1.75-1_amd64.deb
 3f6c510105ca199d0ce89c6a117ab74f389ae40f 191882 transmission-daemon_1.75-1_amd64.deb
Checksums-Sha256: 
 ee532ef55a9b08b0e92a3d202d9dc5e777a07ee367a7e3f0fd1e5a9f4820d9ba 1519 transmission_1.75-1.dsc
 98ace1e930107ca451197ae78ed468809d81658b342948e4a6171e8b72991e12 6681496 transmission_1.75.orig.tar.gz
 2755e0990d7a049f9ffec0e96eb45481c0ab904a7abce32c84f5a91563afd3c2 17251 transmission_1.75-1.diff.gz
 2e15c74acb12924eea3151cff019bff5b775a6cd4ec7ba14c0193df9caa1fcd0 848 transmission_1.75-1_all.deb
 446a8d6c886127dc166dad7d17fc15f04447fa656d94784c756b4a30b13f70f0 173874 transmission-common_1.75-1_all.deb
 098ac73141a47bae2c47115702e47f9cb069cab0289cb7b3526988ce34f9c25a 392748 transmission-cli_1.75-1_amd64.deb
 de2fcec5a609124d6639ab0fb42fc58eebf4625198aee4e9fc4e7bc5d619f080 690864 transmission-gtk_1.75-1_amd64.deb
 f43187a954f181088f0a3d90af562c151f3c66a087f8a9efa4004192a0a7bd40 479710 transmission-qt_1.75-1_amd64.deb
 131e91b151579909d0b2449d2817fcd9d2662ed41318924a93948e2794b41485 191882 transmission-daemon_1.75-1_amd64.deb
Files: 
 bd9216be161cd95f9a72c1a4cb4221c9 1519 net optional transmission_1.75-1.dsc
 c0dc27e7b2b115fc6e6fc5fc24e49091 6681496 net optional transmission_1.75.orig.tar.gz
 05ddd565f18eba76898086041c7a3399 17251 net optional transmission_1.75-1.diff.gz
 d897b740be9d4431b3e8c6c7c48c5b16 848 net optional transmission_1.75-1_all.deb
 e5dc91f2f0cdcc523d7137847a7e2b74 173874 net optional transmission-common_1.75-1_all.deb
 3cbd592280cedccb07603132bbdfb7b9 392748 net optional transmission-cli_1.75-1_amd64.deb
 cd4afc183d38432ea3bd68f91f3776a2 690864 net optional transmission-gtk_1.75-1_amd64.deb
 aa912e8df37c9584bc3587ed986d5e52 479710 net optional transmission-qt_1.75-1_amd64.deb
 b8f57857c6cc5208602538a4bd38dd58 191882 net optional transmission-daemon_1.75-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkq2nzUACgkQImLTb3rflGaCpgCgk1wtqcIgflH6lU6IZ0gJn72f
oMkAnjQPCO0Q5ufAR9CW45zFC6Jed760
=F64M
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 29 Oct 2009 08:01:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:29:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.